/****************************************************************/
/*  
     ***   ***  ***  *** ***     *** ***   ******  ****  ***
     ***   ***  ***  *** ***     *** **   ***  *** ***** ***
     ***   ***  ***  *** ***     *****    ******** *** *****
      *** ***   ***  *** ******* *** **   ***  *** ***  ****
       *****     *****   ******* *** ***  ***  *** ***   ***
	   
	 Vulkan Graphics API: in 20 Minutes (Coffee Break Series)
	 Beginners Taste

     Minimalistic examples to build upon and experiment with 
	 to develop an understanding of the underlying API

	   
/*
/****************************************************************/

// Fragement Shader or sometimes called the 
// `pixel shader'
// shader version
#version 400

// input (from our vertex shader above)
layout ( location = 0 ) in struct vertex_in 
{
  vec4 vColor;
} IN;

// final screen output color
layout ( location = 0 ) out vec4 uFragColor;

// shader entry point
void main() 
{
  // pass input color along without any
  // modifications (e.g., Phong lighting
  // calculations could be done here)
  uFragColor = IN.vColor;

}// End main(..)